收藏
回答

构建npm时出错 invalid number

问题模块 框架类型 问题类型 操作系统 工具版本
开发者工具 小程序 Bug macOS 1.02.1808172

- 点击构建npm时

提示

发生错误
SyntaxError: Invalid number (80:53)SyntaxError: Invalid number (80:53)
at Parser.pp$4.raise (/Applications/wechatwebdevtools.app/Contents/Resources/package.nw/node_modules/acorn/dist/acorn.js:2610:13)
at Parser.pp$8.readNumber (/Applications/wechatwebdevtools.app/Contents/Resources/package.nw/node_modules/acorn/dist/acorn.js:3393:32)
at Parser.pp$8.getTokenFromCode (/Applications/wechatwebdevtools.app/Contents/Resources/package.nw/node_modules/acorn/dist/acorn.js:3216:17)
at Parser.pp$8.readToken (/Applications/wechatwebdevtools.app/Contents/Resources/package.nw/node_modules/acorn/dist/acorn.js:2975:15)
at Parser.pp$8.nextToken (/Applications/wechatwebdevtools.app/Contents/Resources/package.nw/node_modules/acorn/dist/acorn.js:2966:15)
at Parser.pp$8.next (/Applications/wechatwebdevtools.app/Contents/Resources/package.nw/node_modules/acorn/dist/acorn.js:2923:8)
at Parser.pp$3.parseExprOp (/Applications/wechatwebdevtools.app/Contents/Resources/package.nw/node_modules/acorn/dist/acorn.js:1891:12)
at Parser.pp$3.parseExprOps (/Applications/wechatwebdevtools.app/Contents/Resources/package.nw/node_modules/acorn/dist/acorn.js:1876:90)
at Parser.pp$3.parseMaybeConditional (/Applications/wechatwebdevtools.app/Contents/Resources/package.nw/node_modules/acorn/dist/acorn.js:1857:19)
at Parser.pp$3.parseMaybeAssign (/Applications/wechatwebdevtools.app/Contents/Resources/package.nw/node_modules/acorn/dist/acorn.js:1832:19)


- 跟踪发现时strict模式下使用了8进制整数作为 fs.open 的mode参数


最后一次编辑于  2018-08-20  (未经腾讯允许,不得转载)
邀请回答
复制链接收藏关注问题回答

6 个回答

  • June
    June
    2018-08-23

    方便提供一下你安装的npm包名么?我这边调试一下这个包的构建。

    2018-08-23
    赞同
    回复 4
    • 春天来不及
      春天来不及
      2018-08-24

      dependence依赖只有一个 vant-weapp@0.2.0

      2018-08-24
      赞同
      回复
    • June
      June
      2018-08-24回复春天来不及

      我这边尝试了一下,构建没有报错呢。你那边尝试更新到最新的beta版试试呢?

      2018-08-24
      赞同
      回复
    • Stan
      Stan
      2018-09-13回复June

      我这边也出现了同样的问题。

      系统MacOS: 10.13.2

      微信开发者工具版本: 1.02.1809111

      npm包名:acorn


      2018-09-13
      赞同
      回复
    • June
      June
      2018-09-15回复Stan

      试了 mac 下同样版本的工具安装 acorn 包构建 npm 并没有报错,请问是不是还用了其他的包导致的?方不方便提供一下你的依赖列表?

      2018-09-15
      赞同
      回复
  • 狮子王
    狮子王
    2018-11-15

    请问楼主问题解决了,我这边也出现了这种情况,目前项目dependence还没有任何依赖

    2018-11-15
    赞同
    回复